[Install]
model = Panasonic DP-8045
Network = 1
USB = 0
Parallel = 1

[PrinterVersion]
NT=???.VER
9x=???.VER
2K=???.VER

[Parallel_PNP]
;Key 0:String / 1:Number
Path = "PanasonicDP-8045PCL6"
Key1 = "DeviceDesc"
Type1 = 0
Value1 = "Panasonic DP-8045 PCL6"
Key2 = "ConfigFlags"
Type2 = 1
Value2 = "0"

[Main]
ModelName=DP-8045 PS
SeriesName=Panasonic WORKiO DP-8060/DP-8045/DP-8035 Series
NumDrivers=1
Driver1=PrinterDriver1
HarwareID=lptenum\PanasonicDP-8045PCL66EAE
;OEMURL=
LPTPRINT=PanasonicDP-8045PCL66EAE

;***********************************************************************
;DP-8045 GDI
;***********************************************************************
[PrinterDriver1]
PrinterDriverName=Panasonic DP-8045 PS
;LanguageMonitorName=
;PortMonitorName=RPT Network Printer Port
DefaultPrinter=no
SupportOS=95,NT,2000,AMD64
DefaultSharedName=DP8045PS

;***********************************************************************
;DP-8045 PS 95
;***********************************************************************
[PrinterDriver1.95.Install]
DataType=EMF
;ICCProfileName=
Driver=ADOBEPS4.DRV
ConfigurationFile=ADOBEPS4.DRV
DataFile=Padp8045.PPD
DependentFiles=Padp8045.PPD,adfonts.mfm,ADOBEPS4.DRV,ADOBEPS4.HLP,ICONLIB.DLL
HelpFile=ADOBEPS4.HLP
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=P8045_98.inf
BiDirectional=Always
;BiDirectionalPortPrefix=USB,LPT
InstalledFiles=Padp8045.PPD,adfonts.mfm,ADOBEPS4.DRV,ADOBEPS4.HLP,ICONLIB.DLL

[PrinterDriver1.95.Uninstall]

DeleteFile001=Padp8045.PPD,WINSYSTEM,NOT_SHARED
DeleteFile002=adfonts.mfm,WINSYSTEM,SHARED
DeleteFile003=ADOBEPS4.DRV,WINSYSTEM,SHARED
DeleteFile004=ADOBEPS4.HLP,WINSYSTEM,SHARED
DeleteFile005=ICONLIB.DLL,WINSYSTEM,SHARED
DeleteFile006=Padp8045.BPD,WINSYSTEM,NOT_SHARED
DeleteFile007=PanasonicP8045_98.inf,WININF_OTHER,NOT_SHARED

DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic DP-8045 PS

DeleteRegistry001=HKEY_LOCAL_MACHINE,Enum\LPTENUM,PANASONICDP-8045PCL66EAE,UnBlocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows 4.0\Drivers,Panasonic DP-8045 PS,UnBlocked,NoSubKey


;***********************************************************************
;DP-8045 PS NT
;***********************************************************************
[PrinterDriver1.NT.Install]
DataType=RAW
Driver=ADOBEPS5.DLL
ConfigurationFile=ADOBEPSU.DLL
DataFile=Padp8045.PPD
DependentFiles=Padp8045.PPD,ADOBEPS5.DLL,ADOBEPSU.DLL,ADOBEPSU.HLP,ADOBEPS5.NTF
HelpFile=ADOBEPSU.HLP
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=P8045_nt.inf
BiDirectional=Always

[PrinterDriver1.NT.Uninstall]

DeleteFile001=Padp8045.PPD,WINPRNDRV,NOT_SHARED
DeleteFile002=ADOBEPS5.DLL,WINPRNDRV,NOT_SHARED
DeleteFile003=ADOBEPSU.DLL,WINPRNDRV,NOT_SHARED
DeleteFile004=ADOBEPSU.HLP,WINPRNDRV,NOT_SHARED
DeleteFile005=ADOBEPS5.NTF,WINPRNDRV,NOT_SHARED

DeleteFile006=Padp8045.PPD,WINPRNDRV2,SHARED
DeleteFile007=ADOBEPS5.DLL,WINPRNDRV2,SHARED
DeleteFile008=ADOBEPSU.DLL,WINPRNDRV2,SHARED
DeleteFile009=ADOBEPSU.HLP,WINPRNDRV2,SHARED
DeleteFile010=ADOBEPS5.NTF,WINPRNDRV2,SHARED
DeleteFile011=Padp8045.BPD,WINPRNDRV2,SHARED
DeleteFile012=P8045_nt.inf,WININF_OTHER,NOT_SHARED

DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic DP-8045 PS

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PANASONICDP-8045PCL66EAE,UnBlocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows NT x86\Drivers\Version-2,Panasonic DP-8045 PS,UnBlocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows NT x86\Drivers\Version-2,Panasonic DP-8045 PS,UnBlocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows NT x86\Drivers\Version-2,Panasonic DP-8045 PS,UnBlocked,NoSubKey

;***********************************************************************
;DP-8045 PS 2K
;***********************************************************************
[PrinterDriver1.2000.Install]
DataType=RAW
Driver=PSCRIPT5.DLL
ConfigurationFile=PS5UI.DLL
DataFile=Padp8045.PPD
DependentFiles=PSCRIPT5.DLL,PS5UI.DLL,PSCRIPT.HLP,PSCRIPT.NTF,Padp8045.PPD

HelpFile=PSCRIPT.HLP
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=P8045_xp.inf
BiDirectional=Always

[PrinterDriver1.2000.Uninstall]

DeleteFile001=PSCRIPT5.DLL,WINPRNDRV,NOT_SHARED
DeleteFile002=PS5UI.DLL,WINPRNDRV,NOT_SHARED
DeleteFile003=PSCRIPT.HLP,WINPRNDRV,NOT_SHARED
DeleteFile004=PSCRIPT.NTF,WINPRNDRV,NOT_SHARED
DeleteFile005=Padp8045.PPD,WINPRNDRV,NOT_SHARED


DeleteFile006=PSCRIPT5.DLL,WINPRNDRV3,SHARED
DeleteFile007=PS5UI.DLL,WINPRNDRV3,SHARED
DeleteFile008=PSCRIPT.HLP,WINPRNDRV3,SHARED
DeleteFile009=PSCRIPT.NTF,WINPRNDRV3,SHARED
DeleteFile010=Padp8045.PPD,WINPRNDRV3,SHARED
DeleteFile011=Padp8045.BPD,WINPRNDRV3,SHARED
DeleteFile012=P8045_xp.inf,WININF_OTHER,NOT_SHARED

DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic DP-8045 PS

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PANASONICDP-8045PCL66EAE,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-8045 PS,UnBlocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-8045 PS,UnBlocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic DP-8045 PS,UnBlocked,NoSubKey

;***********************************************************************
;DP-**** AMD64
;***********************************************************************
[PrinterDriver1.AMD64.Install]

[PrinterDriver1.AMD64.Uninstall]
